Doc: fix mention of psql's minimum supported server version